Sign in to follow this  
Followers 0
Aiyaya

What happened?

7 posts in this topic

I used the Scriptomatic.au3 created by SvenP(http://www.autoitscript.com/forum/index.php?showtopic=10534&st=0)

An error message box like attachment shown when I run it.

Would anyone tell me what happened??

Thanx~~

Share this post


Link to post
Share on other sites



Thanx for your response.

I couldn't find beta v3.1.1.8 (beta) or higher on official site.

And only v3.1.1.56 available.

Would you help me to find it?

Thanx.

what verson do you use ? you need the beta.

<{POST_SNAPBACK}>

Share this post


Link to post
Share on other sites

Thanx for your response.

I couldn't find beta v3.1.1.8 (beta) or higher on official site.

And only v3.1.1.56 available.

Would you help me to find it?

Thanx.

<{POST_SNAPBACK}>

I don't know why you want to run the very old beta 3.1.1.8 :) but 3.1.1.56 is the lastest beta do test with it.

Share this post


Link to post
Share on other sites

I don't know why you want to run the very old beta 3.1.1.8 :)  but 3.1.1.56 is the lastest beta do test with it.

This probably isn't the thread for this but I can understand the original poster's logic in assuming that v3.1.1.8 is a newer release than v3.1.1.56; after all, the decimal number 0.8 is greater than the number 0.56.

Is this something worth considering after the next public release to avoid confusion? Numbering betas v3.1.2.09, v3.1.2.10 as opposed to v3.1.2.9, v3.1.2.10?

Regards,

Alex Peters

Share this post


Link to post
Share on other sites

This probably isn't the thread for this but I can understand the original poster's logic in assuming that v3.1.1.8 is a newer release than v3.1.1.56; after all, the decimal number 0.8 is greater than the number 0.56.

Is this something worth considering after the next public release to avoid confusion? Numbering betas v3.1.2.09, v3.1.2.10 as opposed to v3.1.2.9, v3.1.2.10?

Regards,

Alex Peters

<{POST_SNAPBACK}>

what will happen when we reach 100.

Anyway the way to check a version is to split the different part and to check one after the other so the last test is 8 compare to 56 which is smaller.

That's a version checking problem which is needed to be understood FileGetVersion do the same as Windows does.

Share this post


Link to post
Share on other sites

#7 ·  Posted (edited)

I've found the problem.

Scriptomatic.au3 works fine.

Thanx all

Edited by Aiyaya

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0